Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ParameterModeC.h File Reference

`#include "tao/TAO_Export.h"`
`#include "tao/Basic_Types.h"`

Include dependency graph for ParameterModeC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
namespace | TAO
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
## Typedefs
typedef ParameterMode & | ParameterMode_out
## Enumerations
enum | ParameterMode { PARAM_IN, PARAM_OUT, PARAM_INOUT }
## Functions
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, CORBA::ParameterMode)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::ParameterMode &)

## Define Documentation

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef ParameterMode& CORBA::ParameterMode_out

## Enumeration Type Documentation

enum ParameterMode

  | Enumeration values:
  PARAM_IN |
  PARAM_OUT |
  PARAM_INOUT |

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | CORBA::ParameterMode |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::ParameterMode & |
| ) |